Bug 672159 - (CVE-2011-0717) CVE-2011-0717 Satellite, Spacewalk: Session fixation flaw
CVE-2011-0717 Satellite, Spacewalk: Session fixation flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
Jiri Kastner
public=20110223,reported=20110117,sou...
: Security
Depends On: 678283 679887
Blocks: 622406
  Show dependency treegraph
 
Reported: 2011-01-24 04:24 EST by Jan Lieskovsky
Modified: 2016-03-04 05:42 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-02 11:44:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-01-24 04:24:48 EST
A session fixation flaw was found in the way Red Hat
Network (RHN) Satellite and Spacewalk services handled
session cookies. An RHN Satellite or Spacewalk Server
user able to pre-set the session cookie in a victim's
browser to a valid value could use this flaw to hijack
the victim's session after the next log in.

References:
[1] http://en.wikipedia.org/wiki/Session_fixation
[2] http://shiflett.org/articles/session-fixation

Acknowledgements:

Red Hat would like to thank Thomas Biege of the SuSE Security Team
for reporting this issue.
Comment 8 Jan Lieskovsky 2011-02-17 07:35:21 EST
The CVE identifier of CVE-2011-0717 has been assigned to this issue.
Comment 20 errata-xmlrpc 2011-02-23 14:01:33 EST
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2011:0300 https://rhn.redhat.com/errata/RHSA-2011-0300.html
Comment 21 Jan Lieskovsky 2011-02-23 14:07:57 EST
Created spacewalk-backend tracking bugs for this issue

Affects: fedora-all [bug 679887]

Note You need to log in before you can comment on or make changes to this bug.